RC2::Decryption Class Reference

Class specific methods used to operate the cipher in the reverse direction. More...

`#include <rc2.h>`

Inheritance diagram for RC2::Decryption:

## Public Member Functions

| Decryption (const byte *key, size_t keyLen=DEFAULT_KEYLENGTH)
| Decryption (const byte *key, size_t keyLen, int effectiveKeyLen)
Public Member Functions inherited from BlockCipherFinal< DECRYPTION, Dec >
| BlockCipherFinal ()
| Construct a default BlockCipherFinal.
| BlockCipherFinal (const byte *key)
| Construct a BlockCipherFinal.
| BlockCipherFinal (const byte *key, size_t length)
| Construct a BlockCipherFinal.
| BlockCipherFinal (const byte *key, size_t length, unsigned int rounds)
| Construct a BlockCipherFinal.
bool | IsForwardTransformation () const
| Provides the direction of the cipher.
Public Member Functions inherited from ClonableImpl< DERIVED, BASE >
Clonable * | Clone () const
| Create a copy of this object.

## Detailed Description

Class specific methods used to operate the cipher in the reverse direction.

Implementations and overrides in `Decryption` apply to `DECRYPTION`.

Definition at line 74 of file rc2.h.

## Constructor & Destructor Documentation

## Decryption() [1/3]

RC2::Decryption::Decryption | ( |  | ) |

inline

Definition at line 77 of file rc2.h.

## Decryption() [2/3]

RC2::Decryption::Decryption | ( | const byte * | key,
|  | size_t | keyLen = DEFAULT_KEYLENGTH )

inline

Definition at line 78 of file rc2.h.

## Decryption() [3/3]

RC2::Decryption::Decryption | ( | const byte * | key,
|  | size_t | keyLen,
|  | int | effectiveKeyLen )

inline

Definition at line 80 of file rc2.h.

The documentation for this class was generated from the following file:

- rc2.h